<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="@dimen/keyboard_height"
    android:background="@mipmap/bg_keyboard"
    android:orientation="vertical">

    <!-- 工具栏 -->
    <com.atmob.keyboard_android.component.child.impl.ToolBarComponent
        android:id="@+id/tool_bar"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="16dp" />

    <com.atmob.keyboard_android.component.child.impl.PermissionTipComponent
        android:id="@+id/permission_tip"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginStart="12dp"
        android:layout_marginTop="9dp"
        android:layout_marginEnd="12dp"
        android:visibility="gone"
        tools:visibility="visible" />

    <!-- 键盘内容 -->
    <FrameLayout
        android:id="@+id/keyboard_content"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_marginTop="9dp"
        android:layout_weight="1">

        <!-- 拼音键盘 -->
        <com.atmob.keyboard_android.component.child.impl.PinyinKeyboardComponent
            android:layout_width="match_parent"
            android:layout_height="match_parent" />

        <!-- AI键盘 -->
        <com.atmob.keyboard_android.component.child.impl.AiKeyboardComponent
            android:layout_width="match_parent"
            android:layout_height="match_parent" />
    </FrameLayout>
</LinearLayout>